Users
All operations require authentication.
List usersProduction
Returns the names of the users of the service.
Path parameters
Service name
Response
Example uses serviceName = string
$ curl https:/ / api.eu.ovhcloud.com/ 1.0/ hosting/ privateDatabase/ {serviceName}/ user \
-H "authorization: Bearer $OVH_TOKEN"[ "string"]
Create a userProduction
Creates a user on the service, with no rights on any database until a grant is added. The password must be alphanumeric and at least 8 characters long.
Path parameters
Service name
Request body (required)
Password for the new user ( alphanumeric and 8 characters minimum )
User name used to connect on your databases
Response
Database name on which the task is working
Completion date
DumpId on which the task is working
Function name
abusechangeFtpPasswordchangeRamchangeVersionconfiguration/updatecreatedatabase/copydatabase/copyRestoredatabase/createdatabase/deletedatabase/dumpdatabase/dump/deletedatabase/extension/createdatabase/extension/deletedatabase/importdatabase/restoredatabase/wizarddeletegrant/creategrant/deletegrant/updateinstalloverquota/inoverquota/outquotaRefreshrefreshreopenrestartstartstopsuspenduser/changePassworduser/createuser/deletewebhostingNetwork/disablewebhostingNetwork/enablewhitelist/createwhitelist/deletewhitelist/updateThe id of the task
Last update
Task creation date
Task status
cancelleddoingdoneerrortodoUser name on which the task is working
Example uses serviceName = string
$ curl https:/ / api.eu.ovhcloud.com/ 1.0/ hosting/ privateDatabase/ {serviceName}/ user \
-H "authorization: Bearer $OVH_TOKEN"{ "databaseName": "string", "doneDate": "2024-01-01T12:00:00Z", "dumpId": 0, "function": "abuse", "id": 0, "lastUpdate": "2024-01-01T12:00:00Z", "startDate": "2024-01-01T12:00:00Z", "status": "cancelled", "userName": "string"}
Get a userProduction
Returns the creation date of the user and the databases it is granted on, with its rights.
Path parameters
Service name
User name
Response
Creation date of the user
Databases granted for this user
User name used to connect to your databases
Example uses serviceName = string, userName = string
$ curl https:/ / api.eu.ovhcloud.com/ 1.0/ hosting/ privateDatabase/ {serviceName}/ user/ {userName} \
-H "authorization: Bearer $OVH_TOKEN"{ "creationDate": "2024-01-01T12:00:00Z", "databases": [ { "databaseName": "string", "grantId": 0, "grantType": "admin" } ], "userName": "string"}
Delete a userProduction
Deletes the user and its grants. The databases are kept.
Path parameters
Service name
User name
Response
Database name on which the task is working
Completion date
DumpId on which the task is working
Function name
abusechangeFtpPasswordchangeRamchangeVersionconfiguration/updatecreatedatabase/copydatabase/copyRestoredatabase/createdatabase/deletedatabase/dumpdatabase/dump/deletedatabase/extension/createdatabase/extension/deletedatabase/importdatabase/restoredatabase/wizarddeletegrant/creategrant/deletegrant/updateinstalloverquota/inoverquota/outquotaRefreshrefreshreopenrestartstartstopsuspenduser/changePassworduser/createuser/deletewebhostingNetwork/disablewebhostingNetwork/enablewhitelist/createwhitelist/deletewhitelist/updateThe id of the task
Last update
Task creation date
Task status
cancelleddoingdoneerrortodoUser name on which the task is working
Example uses serviceName = string, userName = string
$ curl https:/ / api.eu.ovhcloud.com/ 1.0/ hosting/ privateDatabase/ {serviceName}/ user/ {userName} \
-H "authorization: Bearer $OVH_TOKEN"{ "databaseName": "string", "doneDate": "2024-01-01T12:00:00Z", "dumpId": 0, "function": "abuse", "id": 0, "lastUpdate": "2024-01-01T12:00:00Z", "startDate": "2024-01-01T12:00:00Z", "status": "cancelled", "userName": "string"}
Change a user passwordProduction
Changes the password of the user. The password must be alphanumeric and at least 8 characters long.
Path parameters
Service name
User name
Request body (required)
Password for the new user ( alphanumeric and 8 characters minimum )
Response
Database name on which the task is working
Completion date
DumpId on which the task is working
Function name
abusechangeFtpPasswordchangeRamchangeVersionconfiguration/updatecreatedatabase/copydatabase/copyRestoredatabase/createdatabase/deletedatabase/dumpdatabase/dump/deletedatabase/extension/createdatabase/extension/deletedatabase/importdatabase/restoredatabase/wizarddeletegrant/creategrant/deletegrant/updateinstalloverquota/inoverquota/outquotaRefreshrefreshreopenrestartstartstopsuspenduser/changePassworduser/createuser/deletewebhostingNetwork/disablewebhostingNetwork/enablewhitelist/createwhitelist/deletewhitelist/updateThe id of the task
Last update
Task creation date
Task status
cancelleddoingdoneerrortodoUser name on which the task is working
Example uses serviceName = string, userName = string
$ curl https:/ / api.eu.ovhcloud.com/ 1.0/ hosting/ privateDatabase/ {serviceName}/ user/ {userName}/ changePassword \
-H "authorization: Bearer $OVH_TOKEN"{ "databaseName": "string", "doneDate": "2024-01-01T12:00:00Z", "dumpId": 0, "function": "abuse", "id": 0, "lastUpdate": "2024-01-01T12:00:00Z", "startDate": "2024-01-01T12:00:00Z", "status": "cancelled", "userName": "string"}